Calls
Submit Call Recording (Audio File URL)
Submit a call recording for scoring and analysis by providing a publicly accessible URL to the audio file.
POST
/
scoring
/
submitRecording
Submit Call Recording (Audio File URL)
curl --request POST \
--url https://api.emberqa.com/api/scoring/submitRecording \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"agent_name": "John D",
"media_url": "https://example.com/call-audio.mp3",
"is_inbound": true,
"metadata": {
"example_property": "example_value",
"example_property2": "example_value2"
},
"supporting_docs": [
"https://example.com/crm-information.pdf",
"https://example.com/customer-notes.txt"
]
}
'import requests
url = "https://api.emberqa.com/api/scoring/submitRecording"
payload = {
"agent_name": "John D",
"media_url": "https://example.com/call-audio.mp3",
"is_inbound": True,
"metadata": {
"example_property": "example_value",
"example_property2": "example_value2"
},
"supporting_docs": ["https://example.com/crm-information.pdf", "https://example.com/customer-notes.txt"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
agent_name: 'John D',
media_url: 'https://example.com/call-audio.mp3',
is_inbound: true,
metadata: {example_property: 'example_value', example_property2: 'example_value2'},
supporting_docs: [
'https://example.com/crm-information.pdf',
'https://example.com/customer-notes.txt'
]
})
};
fetch('https://api.emberqa.com/api/scoring/submitRecording', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.emberqa.com/api/scoring/submitRecording",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'agent_name' => 'John D',
'media_url' => 'https://example.com/call-audio.mp3',
'is_inbound' => true,
'metadata' => [
'example_property' => 'example_value',
'example_property2' => 'example_value2'
],
'supporting_docs' => [
'https://example.com/crm-information.pdf',
'https://example.com/customer-notes.txt'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.post("https://api.emberqa.com/api/scoring/submitRecording")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"agent_name\": \"John D\",\n \"media_url\": \"https://example.com/call-audio.mp3\",\n \"is_inbound\": true,\n \"metadata\": {\n \"example_property\": \"example_value\",\n \"example_property2\": \"example_value2\"\n },\n \"supporting_docs\": [\n \"https://example.com/crm-information.pdf\",\n \"https://example.com/customer-notes.txt\"\n ]\n}")
.asString();package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.emberqa.com/api/scoring/submitRecording"
payload := strings.NewReader("{\n \"agent_name\": \"John D\",\n \"media_url\": \"https://example.com/call-audio.mp3\",\n \"is_inbound\": true,\n \"metadata\": {\n \"example_property\": \"example_value\",\n \"example_property2\": \"example_value2\"\n },\n \"supporting_docs\": [\n \"https://example.com/crm-information.pdf\",\n \"https://example.com/customer-notes.txt\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}require 'uri'
require 'net/http'
url = URI("https://api.emberqa.com/api/scoring/submitRecording")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"agent_name\": \"John D\",\n \"media_url\": \"https://example.com/call-audio.mp3\",\n \"is_inbound\": true,\n \"metadata\": {\n \"example_property\": \"example_value\",\n \"example_property2\": \"example_value2\"\n },\n \"supporting_docs\": [\n \"https://example.com/crm-information.pdf\",\n \"https://example.com/customer-notes.txt\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"message": "File Accepted"
}{
"error": "{error message}"
}{
"error": "{error message}"
}{
"error": "{error message}"
}{
"error": "{error message}"
}Audio Requirements
Before submitting recordings, ensure they meet these requirements:- Supported formats: MP3, WAV
- Maximum file size: 100MB
- Audio quality: Minimum 8kHz sample rate recommended
Security Recommendation
For better security, we recommend using a time-limited presigned URL instead of a permanently public file URL whenever possible. Learn more: AWS S3 presigned URL sharingAuthorizations
Body
application/json
⌘I
Submit Call Recording (Audio File URL)
curl --request POST \
--url https://api.emberqa.com/api/scoring/submitRecording \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"agent_name": "John D",
"media_url": "https://example.com/call-audio.mp3",
"is_inbound": true,
"metadata": {
"example_property": "example_value",
"example_property2": "example_value2"
},
"supporting_docs": [
"https://example.com/crm-information.pdf",
"https://example.com/customer-notes.txt"
]
}
'import requests
url = "https://api.emberqa.com/api/scoring/submitRecording"
payload = {
"agent_name": "John D",
"media_url": "https://example.com/call-audio.mp3",
"is_inbound": True,
"metadata": {
"example_property": "example_value",
"example_property2": "example_value2"
},
"supporting_docs": ["https://example.com/crm-information.pdf", "https://example.com/customer-notes.txt"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
agent_name: 'John D',
media_url: 'https://example.com/call-audio.mp3',
is_inbound: true,
metadata: {example_property: 'example_value', example_property2: 'example_value2'},
supporting_docs: [
'https://example.com/crm-information.pdf',
'https://example.com/customer-notes.txt'
]
})
};
fetch('https://api.emberqa.com/api/scoring/submitRecording', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.emberqa.com/api/scoring/submitRecording",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'agent_name' => 'John D',
'media_url' => 'https://example.com/call-audio.mp3',
'is_inbound' => true,
'metadata' => [
'example_property' => 'example_value',
'example_property2' => 'example_value2'
],
'supporting_docs' => [
'https://example.com/crm-information.pdf',
'https://example.com/customer-notes.txt'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.post("https://api.emberqa.com/api/scoring/submitRecording")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"agent_name\": \"John D\",\n \"media_url\": \"https://example.com/call-audio.mp3\",\n \"is_inbound\": true,\n \"metadata\": {\n \"example_property\": \"example_value\",\n \"example_property2\": \"example_value2\"\n },\n \"supporting_docs\": [\n \"https://example.com/crm-information.pdf\",\n \"https://example.com/customer-notes.txt\"\n ]\n}")
.asString();package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.emberqa.com/api/scoring/submitRecording"
payload := strings.NewReader("{\n \"agent_name\": \"John D\",\n \"media_url\": \"https://example.com/call-audio.mp3\",\n \"is_inbound\": true,\n \"metadata\": {\n \"example_property\": \"example_value\",\n \"example_property2\": \"example_value2\"\n },\n \"supporting_docs\": [\n \"https://example.com/crm-information.pdf\",\n \"https://example.com/customer-notes.txt\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}require 'uri'
require 'net/http'
url = URI("https://api.emberqa.com/api/scoring/submitRecording")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"agent_name\": \"John D\",\n \"media_url\": \"https://example.com/call-audio.mp3\",\n \"is_inbound\": true,\n \"metadata\": {\n \"example_property\": \"example_value\",\n \"example_property2\": \"example_value2\"\n },\n \"supporting_docs\": [\n \"https://example.com/crm-information.pdf\",\n \"https://example.com/customer-notes.txt\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"message": "File Accepted"
}{
"error": "{error message}"
}{
"error": "{error message}"
}{
"error": "{error message}"
}{
"error": "{error message}"
}
